"use strict";
class DebugDataService {
    constructor($projectData, $platformService, $platformsData, $mobileHelper) {
        this.$projectData = $projectData;
        this.$platformService = $platformService;
        this.$platformsData = $platformsData;
        this.$mobileHelper = $mobileHelper;
    }
    createDebugData(debugService, options, buildConfig) {
        this.$projectData.initializeProjectData(options.path);
        return {
            applicationIdentifier: this.$projectData.projectId,
            projectDir: this.$projectData.projectDir,
            deviceIdentifier: options.device,
            pathToAppPackage: this.getPathToAppPackage(debugService, options, buildConfig),
            projectName: this.$projectData.projectName
        };
    }
    getPathToAppPackage(debugService, options, buildConfig) {
        if (this.$mobileHelper.isAndroidPlatform(debugService.platform)) {
            if (!options.start && !options.emulator) {
                const platformData = this.getPlatformData(debugService);
                return this.$platformService.getLatestApplicationPackageForDevice(platformData, buildConfig).packageName;
            }
        }
        else if (this.$mobileHelper.isiOSPlatform(debugService.platform)) {
            if (options.emulator) {
                const platformData = this.getPlatformData(debugService);
                return this.$platformService.getLatestApplicationPackageForEmulator(platformData, buildConfig).packageName;
            }
        }
        return null;
    }
    getPlatformData(debugService) {
        return this.$platformsData.getPlatformData(debugService.platform, this.$projectData);
    }
}
exports.DebugDataService = DebugDataService;
$injector.register("debugDataService", DebugDataService);
